Namespace
elastic
Image / Tag
filebeat:sha256-f6631620364f47faaadea48cd38bb4fd22c3108bce39f437c93bb43725246437
Content Digest
sha256:f6631620364f47faaadea48cd38bb4fd22c3108bce39f437c93bb43725246437
Details
Created

2026-01-07 19:38:42 UTC

Size

129 MB

Content Digest
Labels
  • architecture
    x86_64
  • build-date
    2025-12-03T20:36:05Z
  • com.redhat.component
    ubi9-minimal-container
  • com.redhat.license_terms
    https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI
  • cpe
    cpe:/a:redhat:enterprise_linux:9::appstream
  • description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • distribution-scope
    public
  • io.buildah.version
    1.41.4
  • io.k8s.description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • io.k8s.display-name
    Filebeat image
  • io.openshift.expose-services
  • io.openshift.tags
    minimal rhel9
  • license
    Elastic License
  • maintainer
    infra@elastic.co
  • name
    filebeat
  • org.label-schema.build-date
    2026-01-07T19:32:32Z
  • org.label-schema.license
    Elastic License
  • org.label-schema.name
    filebeat
  • org.label-schema.schema-version
    1.0
  • org.label-schema.url
    https://www.elastic.co/beats/filebeat
  • org.label-schema.vcs-ref
    f373665c87a0b7730ed2f7efc3b32ab29fa52f0b
  • org.label-schema.vcs-url
    github.com/elastic/beats/v7
  • org.label-schema.vendor
    Elastic
  • org.label-schema.version
    9.1.10
  • org.opencontainers.image.authors
    infra@elastic.co
  • org.opencontainers.image.created
    2026-01-07T19:32:32Z
  • org.opencontainers.image.licenses
    Elastic License
  • org.opencontainers.image.revision
    1595c1bf15cd4327d529f330e61327764327397e
  • org.opencontainers.image.title
    Filebeat
  • org.opencontainers.image.vendor
    Elastic
  • release
    1
  • summary
    filebeat
  • url
    https://www.elastic.co/beats/filebeat
  • vcs-ref
    1595c1bf15cd4327d529f330e61327764327397e
  • vcs-type
    git
  • vendor
    Elastic
  • version
    9.1.10

Environment
ELASTIC_CONTAINER

true

GODEBUG

madvdontneed=1

LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE

/

PATH

/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

container

oci


Layers

[#000] sha256:38e5fad13f066b97cf53847c0c127247f943e299c3c8c7456d2baaccf6588cab - 29.84% (38.4 MB)

[#001] sha256:51f5d8e2084e241bfab477a8f24242dfbba0ad2bedf0bdf0499167de85804288 - 0.01% (9.54 KB)

[#002] sha256:db7ee7bda9873936b6d37b9dd8f0e03e59181595b800c1f819801a0ffbff50d4 - 0.0% (612 Bytes)

[#003] sha256:2e3eb056e70e6fe486fd97a05e2f5de57337e45423fc2f33b3efc7a668c47996 - 0.0% (621 Bytes)

[#004] sha256:f5bf8392a22348e06d72c3d30e6cc5f10de8e96ea6a4ec847a7b3710e55dea21 - 53.55% (69 MB)

[#005] sha256:12a0eecd07992b32312c4611e18745769e5b224671a3da1659e1ce618d6b179d - 0.0% (125 Bytes)

[#006] sha256:530f22388ba92addb476b274a01d490f73a628c83457fb878c4c276f7dc3464f - 0.0% (5.47 KB)

[#007] sha256:71b43824c75f59ab5044b12d7a17a9cb8dd438d9b63e7c5b7cb3e975adbc9245 - 0.17% (230 KB)

[#008] sha256:0f4f28c239ad000b99d2c60a9795a0c9731949d14528a10b37d3a3d47f966b44 - 0.0% (514 Bytes)

[#009] sha256:d3d943bc66d335081cb0622753b04eb25c738190b396ed72c37a558a65879ef3 - 0.0% (1.12 KB)

[#010] sha256:542758160a21d5a1a9cd0456a1ef4d3806a97140b56689a5df54b562b4f92718 - 16.42% (21.2 MB)

[#011] sha256:4ca545ee6d5db5c1170386eeb39b2ffe3bd46e5d4a73a9acbebc805f19607eb3 - 0.0% (42 Bytes)


History
2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."

2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."

2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"

2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-minimal-container" name="ubi9/ubi-minimal" version="9.7" cpe="cpe:/a:redhat:enterprise_linux:9::appstream" distribution-scope="public"

2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"

2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 9."

2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9 Minimal"

2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) LABEL io.openshift.expose-services=""

2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel9"

2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) ENV container oci

2025-12-03 20:36:21 UTC

/bin/sh -c #(nop) COPY dir:be2a521f68bf56126048c385ab01382fd10aa537a578d817938c3b4ce9ee2ae8 in /

2025-12-03 20:36:21 UTC

/bin/sh -c #(nop) COPY file:1376702515d596f414e3aa494e0daa6d408a6d2475c4aeca96bf9392f5287f69 in /etc/yum.repos.d/.

2025-12-03 20:36:21 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2025-12-03 20:36:21 UTC

/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /usr/share/buildinfo/content-sets.json

2025-12-03 20:36:21 UTC

/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /root/buildinfo/content_manifests/content-sets.json

2025-12-03 20:36:21 UTC

/bin/sh -c #(nop) COPY file:94153b6833d6f050d8e2572e9c332f16148f47aceac72aaf42af4d08feb01e61 in /usr/share/buildinfo/labels.json

2025-12-03 20:36:21 UTC

/bin/sh -c #(nop) COPY file:94153b6833d6f050d8e2572e9c332f16148f47aceac72aaf42af4d08feb01e61 in /root/buildinfo/labels.json

2025-12-03 20:36:21 UTC

/bin/sh -c #(nop) LABEL "architecture"="x86_64" "vcs-type"="git" "vcs-ref"="1595c1bf15cd4327d529f330e61327764327397e" "org.opencontainers.image.revision"="1595c1bf15cd4327d529f330e61327764327397e" "build-date"="2025-12-03T20:36:05Z" "org.opencontainers.image.created"="2025-12-03T20:36:05Z" "release"="1764794109"org.opencontainers.image.revision=1595c1bf15cd4327d529f330e61327764327397e,org.opencontainers.image.created=2025-12-03T20:36:05Z

2026-01-07 19:38:21 UTC (buildkit.dockerfile.v0)

LABEL org.label-schema.build-date=2026-01-07T19:32:32Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.1.10 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=f373665c87a0b7730ed2f7efc3b32ab29fa52f0b io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2026-01-07T19:32:32Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.1.10 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.

2026-01-07 19:38:21 UTC (buildkit.dockerfile.v0)

ENV ELASTIC_CONTAINER=true

2026-01-07 19:38:21 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2026-01-07 19:38:21 UTC (buildkit.dockerfile.v0)

ENV GODEBUG=madvdontneed=1

2026-01-07 19:38:21 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit

2026-01-07 19:38:21 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit

2026-01-07 19:38:22 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit

2026-01-07 19:38:34 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat /usr/share/filebeat # buildkit

2026-01-07 19:38:34 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mkdir /licenses # buildkit

2026-01-07 19:38:34 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit

2026-01-07 19:38:34 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit

2026-01-07 19:38:34 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit

2026-01-07 19:38:35 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit

2026-01-07 19:38:41 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit

2026-01-07 19:38:41 UTC (buildkit.dockerfile.v0)

USER 1000

2026-01-07 19:38:41 UTC (buildkit.dockerfile.v0)

ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/

2026-01-07 19:38:42 UTC (buildkit.dockerfile.v0)

WORKDIR /usr/share/filebeat

2026-01-07 19:38:42 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]

2026-01-07 19:38:42 UTC (buildkit.dockerfile.v0)

CMD ["--environment" "container"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete